# Password for the 'elastic' user (at least 6 characters)
ELASTIC_PASSWORD={{ elk.system_users.elasticsearch.password }}

# Password for the 'kibana_system' user (at least 6 characters)
KIBANA_PASSWORD={{ elk.system_users.kibana.password }}

BEATS_USERNAME={{ elk.system_users.beats.username }}
BEATS_PASSWORD={{ elk.system_users.beats.password }}

# Version of Elastic products
STACK_VERSION={{ elk.version }}

# Set the cluster name
CLUSTER_NAME=elk

# Set to 'basic' or 'trial' to automatically start the 30-day trial
LICENSE=basic

# Port to expose Elasticsearch HTTP API to the host
ES_PORT=9200
#ES_PORT=127.0.0.1:9200

# Port to expose Kibana to the host
KIBANA_PORT=5601
#KIBANA_PORT=80

# Increase or decrease based on the available host memory (in bytes)
MEM_LIMIT=1073741824

# Project namespace (defaults to the current folder name if not set)
COMPOSE_PROJECT_NAME=elk